package org.eclipse.jdt.internal.compiler.lookup;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.lookup.BinaryTypeBinding;
import org.eclipse.jdt.internal.compiler.lookup.ElementValuePair;
import org.eclipse.jdt.internal.compiler.lookup.FieldBinding;
import org.eclipse.jdt.internal.compiler.lookup.LookupEnvironment;
import org.eclipse.jdt.internal.compiler.lookup.ReferenceBinding;
import org.eclipse.jdt.internal.compiler.lookup.TypeBinding;

public class UnresolvedEnumConstant {
  ReferenceBinding enumType;
  
  LookupEnvironment environment;
  
  char[] enumConstantName;
  
  UnresolvedEnumConstant(ReferenceBinding enumType, LookupEnvironment environment, char[] enumConstantName) {
    this.enumType = enumType;
    this.environment = environment;
    this.enumConstantName = enumConstantName;
  }
  
  FieldBinding getResolved() {
    if (this.enumType.isUnresolvedType())
      this.enumType = (ReferenceBinding)BinaryTypeBinding.resolveType((TypeBinding)this.enumType, this.environment, false); 
    return this.enumType.getField(this.enumConstantName, false);
  }
  
  public char[] getEnumConstantName() {
    return this.enumConstantName;
  }
}
